[![REUSE status](https://api.reuse.software/badge/github.com/SAP-samples/analytics-cloud-export-api-wrapper)](https://api.reuse.software/info/github.com/SAP-samples/analytics-cloud-export-api-wrapper)

# SAP Analytics Cloud OData Export Wrapper

analytics-cloud-export-api-wrapper is a Python wrapper for SAP Analytics Cloud’s (SAC) [model export API](https://help.sap.com/docs/SAP_ANALYTICS_CLOUD/14cac91febef464dbb1efce20e3f1613/db62fd76514b48f8b71d695360320f4a.html).  It has two aims.  Firstly, it demonstrates the basics for working with the SAC model export API and incorporating that into code.  Secondly, it is running code that can be used to access data from SAC in Jupyter notebooks and other Python code.  

## Requirements

Python 3.7 or higher installed
An SAC tenant with [authentication configured for an application](https://help.sap.com/docs/SAP_ANALYTICS_CLOUD/14cac91febef464dbb1efce20e3f1613/0c1fb5e6ef1f46acb83771070084f124.html)


## Download and Installation

Simply copy and paste the code into your Python script, or download the package and place it in a location that is in your PYTHONPATH.

## Known Issues

Only 2 legged OAuth is supported.

## How to obtain support
[Create an issue](https://github.com/SAP-samples/analytics-cloud-export-api-wrapper/issues) in this repository if you find a bug or have questions about the content.
 
For additional support, join the the [SAP Analytics Community](https://community.sap.com/topics/cloud-analytics), where you can find discussions and additional resources.  If your question is not already answered, you can[ask a question in SAP Community](https://answers.sap.com/questions/ask.html?primaryTagId=67838200100800006884&additionalTagId=73554900100800000562&additionalTagId=819703369010316911100650199149950&additionalTagId=3f33380c-8914-4b7a-af00-0e9a70705a32&additionalTagId=73555000100800001621&additionalTagId=2221d1b0-d759-4b24-9333-f72da4d263da&additionalTagId=3ecbe2ed-7fe9-4831-924a-77987d1a4259).  

## Contributing
If you wish to contribute code, offer fixes or improvements, please send a pull request. Due to legal reasons, contributors will be asked to accept a DCO when they create the first pull request to this project. This happens in an automated fashion during the submission process. SAP uses [the standard DCO text of the Linux Foundation](https://developercertificate.org/).

## License
Copyright (c) 2022 SAP SE or an SAP affiliate company. All rights reserved. This project is licensed under the Apache Software License, version 2.0 except as noted otherwise in the [LICENSE](https://raw.githubusercontent.com/SAP-samples/analytics-cloud-export-api-wrapper/main/LICENSES/Apache-2.0.txt?token=GHSAT0AAAAAAB2MAUL26SOZQOB4VIRO3ZNCY5SU5VQ) file.
